Update the following fields in appsettings.json to reflect your application information and the appropriate BarTenderCloud cluster hosting your organization

This first value "BarTenderCloudCluster" is used to specify where the web service should first look to determine how to configure web based authentication. I simplifies the code by allowing it to adapt should connection information ever change in the future.

  "BarTenderCloudCluster": "https://am1.bartendercloud.com",

NOTE: If your tenant is not hosted in the Americas use either of the following as appropriate
  "BarTenderCloudCluster": "https://ap1.bartendercloud.com",            <-- Supports the Asia/Pacific regions
  "BarTenderCloudCluster": "https://eu1.bartendercloud.com",		<-- Supports the EU/Africa regions

Next you must specify the clientId and secret that are associated with the application you have registered via the BarTender Cloud Account Management application

  "ClientId": "-- Your application's ClientId goes here --",
  "ClientSecret": "-- Your application's ClientSecret goes here --",


NOTE:

   BarTenderCloud is transitioning from using Auth0 as its identity provider to an alternative offerring greater flexibility.
   To assist legacy applications in this transition the applications two different OIDC discovery documents will be available.

   Unaltered requests will retrieve the Auth0 document. 
   For example supplying https://am1.bartendercloud.com/.well-known/openid-configuration will retrieve the Auth0 discovery document.
   while suppling https://auth.am1.bartendercloud.com/.well-known/openid-configuration will retrieve the new discovery document.
	Use https://auth.ap1.bartendercloud.com/.well-known/openid-configuration for Asia/Pacific organizations.
	Use https://auth.eu1.bartendercloud.com/.well-known/openid-configuration for Europe/Africa organizations.

   Once Auth0 support is finally removed, both URIs will return the new discovery document form.

   Any newly created applications created should always make discovery document requests using
   the appropriate URI that includes "auth." as Auth0 would be unaware of the new application.



