﻿using Microsoft.AspNetCore.Authentication;
using Microsoft.AspNetCore.Authentication.Cookies;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;
using System.Threading.Tasks;

namespace LibrarianWebApp
{
   public class AccountController : Controller
   {
      private const string AccessTokenName = "access_token";

      public AccountController(IConfiguration configuration)
      {
      }

      public async Task Login(string returnUrl = "/")
      {
         try
         {
            await HttpContext.ChallengeAsync("BarTenderCloud", new AuthenticationProperties() { RedirectUri = returnUrl });
         }
         catch (Exception ex)
         {
            throw;
         }
      }

      [Authorize]
      public async Task Logout()
      {
         await HttpContext.SignOutAsync("BarTenderCloud", new AuthenticationProperties
         {
            // Indicate here where the identity provider should redirect the user after signing out.
            // Note that the resulting absolute URI must be added to the allowlist in the 
            // **Allowed Logout URLs** settings for the client.
            RedirectUri = Url.Action("Index", "Home")
         });
         await HttpContext.SignOutAsync(CookieAuthenticationDefaults.AuthenticationScheme);
      }
   }
}